<div class="login-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <h4 class="border-ttl">Address</h4>
                        <form [formGroup]="companyAddressForm" (ngSubmit)="saveCompanyAddress()">
                            <div class="form-group p-0">
                                <div class="row">
                                    <div class="col-4 pb-3"><label>Address</label></div>
                                    <div class="col-8 pb-3">
                                        <div class="position-relative pb-3">
                                            <input type="text" name="" formControlName="addressOne" class="form-control"
                                                placeholder="Address 1">
                                            <!-- Error Messages -->
                                            <span class="col-12 p-0 help-block bottom fs12 text-left t-red"
                                                *ngFor="let validation of errors.addressOne">
                                                <span
                                                    *ngIf="companyAddressForm.get('addressOne').hasError(validation.type) && (companyAddressForm.get('addressOne').dirty || companyAddressForm.get('addressOne').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                        <input type="text" name="" formControlName="addressTwo" class="form-control"
                                            placeholder="Address 2">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group p-0">
                                <div class="row">
                                    <div class="col-4 pb-3"><label>Country</label></div>
                                    <div class="col-8 pb-3">
                                        <!-- <select class="form-control select-box" formControlName="countryCode"
                                            (change)="getAllCities(countryCode.value)" #countryCode>
                                            <option value="">Select Country</option>
                                            <option [value]="item.countryId" *ngFor="let item of allCountries">
                                                {{item.name}}
                                            </option>
                                        </select> -->
                                           <ng-select formControlName="countryCode"  [multiple]="false"
                                        [closeOnSelect]="true" [searchable]="true"
                                        placeholder=" Select Country" dropdownPosition="bottom"
                                        (change)="selectedCountry()">
                                        <ng-option [value]="item.countryId" *ngFor="let item of allCountries">
                                            {{item.name}}
                                        </ng-option>
                                    </ng-select>
                                        <!-- Error Messages -->
                                        <span class="col-12 help-block bottom fs12 text-left t-red"
                                            *ngFor="let validation of errors.countryCode">
                                            <span
                                                *ngIf="companyAddressForm.get('countryCode').hasError(validation.type) && (companyAddressForm.get('countryCode').dirty || companyAddressForm.get('countryCode').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group p-0">
                                <div class="row">
                                    <div class="col-4 pb-3"><label>City</label></div>
                                    <div class="col-8 pb-3">
                                        <!-- <select class="form-control select-box" formControlName="city">
                                            <option value="">Select City</option>
                                            <option [value]="item.cityId" *ngFor="let item of allCities">
                                                {{item.name}}
                                            </option>
                                        </select> -->
                                        <!-- <input type="text" class="form-control" id="refercode" placeholder="Search city by name"
                                        formControlName="city" [class.br-red]="showReferralError" #inviteMembers [matAutocomplete]="auto" (input)="getAllCitiess($event.target.value)">
                                        
                                        <mat-autocomplete #auto="matAutocomplete">
                                          <mat-option *ngFor="let user of allCities" [value]="user.name"
                                            (click)="sendInvitation(user)">
                                            <span class="d-inline-flex align-items-center mt-10">
                                              <span class="d-inline-block lh1 ml-2">
                                                  <span class="d-block">{{user.name}}</span>
                                                  
                                              </span>
                                          </span>
                                      
                                          </mat-option>
                                        </mat-autocomplete> -->
                                        <ng-select formControlName="city"  [multiple]="false"
                                        [closeOnSelect]="true" [searchable]="true" 
                                        placeholder=" Select City" dropdownPosition="bottom"
                                        (change)="selectedJobRoles()">
                                        <ng-option [value]="item.cityId" *ngFor="let item of allCities" >
                                            {{item.name}}
                                        </ng-option>
                                    </ng-select>
                                        <!-- Error Messages -->
                                        <span class="col-12 help-block bottom fs12 text-left t-red"
                                            *ngFor="let validation of errors.city">
                                            <span
                                                *ngIf="companyAddressForm.get('city').hasError(validation.type) && (companyAddressForm.get('city').dirty || companyAddressForm.get('city').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group p-0">
                                <div class="row">
                                    <div class="col-4 pb-3"><label>Post Code</label></div>
                                    <div class="col-8 pb-3">
                                        <input type="text" name="" formControlName="postCode" class="form-control"
                                            placeholder="">
                                        <!-- Error Messages -->
                                        <span class="col-12 help-block bottom fs12 text-left t-red"
                                            *ngFor="let validation of errors.postCode">
                                            <span
                                                *ngIf="companyAddressForm.get('postCode').hasError(validation.type) && (companyAddressForm.get('postCode').dirty || companyAddressForm.get('postCode').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group text-center">
                                <input type="submit" name="" value="Save" class="btn">
                            </div>
                        </form>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>